LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XBridge Interface Referencepublished

main interface for an interprocess bridge. More...

`import"XBridge.idl";`

Inheritance diagram for XBridge:

## Public Member Functions
com::sun::star::uno::XInterface | getInstance ([in] string sInstanceName)
| tries to get an interface from the remote that is known by this name. More...
string | getName ()
| name that the bridge got when it was created. More...
string | getDescription ()
| a unique descriptive string: protocol + ":" + XConnection.getDescription() More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

main interface for an interprocess bridge.

## Member Function Documentation

## ◆ getDescription()

string getDescription | ( |  | ) |

a unique descriptive string: protocol + ":" + XConnection.getDescription()

## ◆ getInstance()

com::sun::star::uno::XInterface getInstance | ( | [in] string | sInstanceName | ) |

tries to get an interface from the remote that is known by this name.

In general, this method is called once to get the initial object from the remote, but it is allowed to call the method multiple times.

Parameters

  sInstanceName | The name of the object, that shall be retrieved from the remote process. The call is delegated to com.sun.star.bridge.XInstanceProvider.getInstance() in the remote process.

See also
  com::sun::star::bridge::XInstanceProvider

## ◆ getName()

string getName | ( |  | ) |

name that the bridge got when it was created.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XBridge.idl